Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 451590 - net-irc/hexchat fails with sys-devel/automake-1.13
Summary: net-irc/hexchat fails with sys-devel/automake-1.13
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Denis M. (Phr33d0m)
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: automake-1.13
  Show dependency tree
 
Reported: 2013-01-12 23:44 UTC by Lars Wendler (Polynomial-C)
Modified: 2013-01-14 07:13 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
hexchat-2.9.4.ebuild (hexchat-2.9.4.ebuild,2.74 KB, text/plain)
2013-01-13 22:33 UTC, Denis M. (Phr33d0m)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Lars Wendler (Polynomial-C) gentoo-dev 2013-01-12 23:44:46 UTC
Yeah, I know automake-1.13 is still masked but I suppose this is a bug anyway so it should be reported:


>>> Emerging (1 of 1) net-irc/hexchat-2.9.4
 * hexchat-2.9.4.tar.xz SHA256 SHA512 WHIRLPOOL size ;-) ...             [ ok ]
>>> Unpacking source...
>>> Unpacking hexchat-2.9.4.tar.xz to /var/tmp/portage/net-irc/hexchat-2.9.4/work
>>> Source unpacked in /var/tmp/portage/net-irc/hexchat-2.9.4/work
>>> Preparing source in /var/tmp/portage/net-irc/hexchat-2.9.4/work/hexchat-2.9.4 ...
 * Applying hexchat-2.9.1-input-box.patch ...                            [ ok ]
 * Applying hexchat-2.9.3-cflags.patch ...                               [ ok ]
searching for GNU gettext intl directory...
 -> /usr/share/gettext/intl... found it
copying gettext intl files...
running aclocal...
/usr/share/aclocal/gtkglextmm-1.2.m4:225: warning: underquoted definition of AC_GTKGLEXTMM_SUPPORTS_MULTIHEAD
/usr/share/aclocal/gtkglextmm-1.2.m4:225:   run info Automake 'Extending aclocal'
/usr/share/aclocal/gtkglextmm-1.2.m4:225:   or see http://www.gnu.org/software/automake/manual/automake.html#Extending-aclocal
aclocal-1.13: error: couldn't open directory 'm4': No such file or directory
aclocal failed, stopping.
 * ERROR: net-irc/hexchat-2.9.4 failed (prepare phase):
 *   autogen.sh failed
 * 
 * Call stack:
 *     ebuild.sh, line  93:  Called src_prepare
 *   environment, line 3012:  Called die
 * The specific snippet of code:
 *       ./autogen.sh || die "autogen.sh failed"
 * 
 * If you need support, post the output of `emerge --info '=net-irc/hexchat-2.9.4'`,
 * the complete build log and the output of `emerge -pqv '=net-irc/hexchat-2.9.4'`.
 * The complete build log is located at '/var/tmp/portage/net-irc/hexchat-2.9.4/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/net-irc/hexchat-2.9.4/temp/environment'.
 * Working directory: '/var/tmp/portage/net-irc/hexchat-2.9.4/work/hexchat-2.9.4'
 * S: '/var/tmp/portage/net-irc/hexchat-2.9.4/work/hexchat-2.9.4'

>>> Failed to emerge net-irc/hexchat-2.9.4, Log file:

>>>  '/var/tmp/portage/net-irc/hexchat-2.9.4/temp/build.log'

 * Messages for package net-irc/hexchat-2.9.4:

 * ERROR: net-irc/hexchat-2.9.4 failed (prepare phase):
 *   autogen.sh failed
Comment 1 Denis M. (Phr33d0m) 2013-01-13 22:33:44 UTC
I attach a purposed fix (easiest fix imo), which is basically:

--- hexchat-2.9.4.ebuild.orig   2013-01-13 23:30:10.928156151 +0100
+++ hexchat-2.9.4.ebuild        2013-01-13 23:28:15.377156420 +0100
@@ -49,6 +49,7 @@
                        -i configure.ac || die 'sed failed'
        fi
 
+       mkdir "m4" || die "mkdir failed"
        ./autogen.sh || die "autogen.sh failed"
 }
Comment 2 Denis M. (Phr33d0m) 2013-01-13 22:33:58 UTC
Created attachment 335530 [details]
hexchat-2.9.4.ebuild

Purposed fix for this bug without a revision bump.
Comment 3 Lars Wendler (Polynomial-C) gentoo-dev 2013-01-14 07:13:59 UTC
+  14 Jan 2013; Lars Wendler <polynomial-c@gentoo.org> hexchat-2.9.3.ebuild,
+  hexchat-2.9.4.ebuild:
+  Fixed building with automake-1.13 (bug #451590). Changed SRC_URI to use
+  mirror://github (as per repoman warning).
+